Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0046563
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[POS2] POSminoralways2021-05-06 17:182021-06-01 09:07
ReporterjcbourgeoisView Statuspublic 
Assigned Toaferraz 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToAugustoMauch
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0046563: JIRA 1826 - Cash Up : values in counting tool are reset

DescriptionIn Counting tool used for both cash up and initial count, values typed by cashiers are reset if the counting tool is used a second time.
Steps To Reproduce1) In Livebuilds, go to Close till menu
2) For cash payment method, open Counting tool
3) Type some values for some coins or notes
4) Validate the window (click on Ok)
5) Total amount of cash is updated with the values entered previously : OK
6) Open again the counting tool
7) The values are reset to 0
=> We should get the values typed previously to avoid to count again all the coins / notes present in the drawer.
TagsNo tags attached.
Attached Filespng file icon 2021-05-06 17_15_31-Openbravo POS2.png [^] (49,789 bytes) 2021-05-06 17:18


png file icon 2021-05-06 17_17_51-Openbravo POS2.png [^] (8,843 bytes) 2021-05-06 17:18


png file icon 2021-05-06 17_18_00-Openbravo POS2.png [^] (49,135 bytes) 2021-05-06 17:18

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 0046918TAP closedaferraz JIRA 1826 - Cash Up : values in counting tool are reset 

-  Notes
(0128389)
hgbot (developer)
2021-05-19 10:30

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/merge_requests/470 [^]
(0128640)
hgbot (developer)
2021-05-26 09:33

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2 [^]
Changeset: b23eb3b838306e75d5ad5bc11236bf682af1b139
Author: Álvaro Ferraz <alvaro.ferraz@openbravo.com>
Date: 2021-05-26T09:26:08+02:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/commit/b23eb3b838306e75d5ad5bc11236bf682af1b139 [^]

Fixes ISSUE-46563: Keep values counted in Counting Tool

When setting values using the counting tool, those values will be saved and used to initialize the counting tool
the next time is open during the same cashup / safebox count.

---
A web-jspack/org.openbravo.pos2/src/model/user-interface/__test__/SetCountingToolValues.test.js
A web-jspack/org.openbravo.pos2/src/model/user-interface/actions/cashup/SetCountingToolValues.js
M web-jspack/org.openbravo.pos2/src/components/Cashup/CashupSteps/SelectCashToKeepStep/SelectCashToKeepStep.jsx
M web-jspack/org.openbravo.pos2/src/components/Cashup/CountingToolDialog/CountingTool/CountingTool.jsx
M web-jspack/org.openbravo.pos2/src/components/Cashup/CountingToolDialog/CountingToolDialog.jsx
M web-jspack/org.openbravo.pos2/src/components/Cashup/CountingToolDialog/__test__/CountingToolDialog.test.jsx
M web-jspack/org.openbravo.pos2/src/model/user-interface/UIExtension.js
---
(0128641)
hgbot (developer)
2021-05-26 09:33

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/merge_requests/470 [^]

- Issue History
Date Modified Username Field Change
2021-05-06 17:18 jcbourgeois New Issue
2021-05-06 17:18 jcbourgeois Assigned To => Retail
2021-05-06 17:18 jcbourgeois File Added: 2021-05-06 17_15_31-Openbravo POS2.png
2021-05-06 17:18 jcbourgeois Triggers an Emergency Pack => No
2021-05-06 17:18 jcbourgeois File Added: 2021-05-06 17_17_51-Openbravo POS2.png
2021-05-06 17:18 jcbourgeois File Added: 2021-05-06 17_18_00-Openbravo POS2.png
2021-05-07 12:55 guilleaer Status new => acknowledged
2021-05-07 12:55 guilleaer Type defect => feature request
2021-05-10 09:31 guilleaer Type feature request => defect
2021-05-14 10:06 aferraz Status acknowledged => scheduled
2021-05-14 10:06 aferraz Assigned To Retail => aferraz
2021-05-19 10:30 hgbot Note Added: 0128389
2021-05-26 09:33 hgbot Resolution open => fixed
2021-05-26 09:33 hgbot Status scheduled => closed
2021-05-26 09:33 hgbot Note Added: 0128640
2021-05-26 09:33 hgbot Note Added: 0128641
2021-06-01 09:06 aferraz Status closed => new
2021-06-01 09:06 aferraz Resolution fixed => open
2021-06-01 09:06 aferraz Status new => scheduled
2021-06-01 09:07 aferraz Status scheduled => resolved
2021-06-01 09:07 aferraz Resolution open => fixed
2021-06-01 09:07 aferraz Review Assigned To => AugustoMauch
2021-06-01 09:07 aferraz Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker